Page MenuHomePhabricator

Hard deprecate Title::quickUserCan
Closed, ResolvedPublic

Description

See parent task

Codesearch for quickUserCan calls: https://codesearch.wmflabs.org/deployed/?q=-%3EquickUserCan%5C(&i=nope&files=php%24&repos=

These need to be checked for if they are called on a title method

Calls to Title::quickUserCan:

All usage in WMF deployed extensions have been removed as of 1.35-wmf.20 (2020-02-18)

  • core:
    • TitlePermissionTest (lots)
  • Core actual deprecation

All other callers from mediawiki deployed code refer to a different quickUserCan (eg PermissionManager::quickUserCan)

Event Timeline

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptFeb 11 2020, 9:02 PM

Change 571617 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/ArticlePlaceholder@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571617

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 12 2020, 1:52 AM

Change 571618 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Babel@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571618

Change 571620 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Disambiguator@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571620

DannyS712 updated the task description. (Show Details)Feb 12 2020, 2:03 AM

Change 571631 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/WikiLove@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571631

Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 12 2020, 6:47 AM

Change 571632 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/VisualEditor@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571632

Change 571633 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MassMessage@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571633

Change 571636 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Linter@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571636

Change 571638 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571638

Change 571639 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/skins/Nostalgia@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571639

Change 571640 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571640

JTannerWMF moved this task from Backlog to External on the Editing-team (Tracking) board.
JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.

Change 571632 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571632

Change 571633 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571633

Change 571640 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571640

Change 571636 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571636

DannyS712 updated the task description. (Show Details)Feb 12 2020, 7:36 PM

Change 571618 merged by jenkins-bot:
[mediawiki/extensions/Babel@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571618

Change 571631 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571631

Change 571638 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571638

Change 571639 merged by jenkins-bot:
[mediawiki/skins/Nostalgia@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571639

DannyS712 updated the task description. (Show Details)Feb 13 2020, 12:13 AM

Change 571620 merged by jenkins-bot:
[mediawiki/extensions/Disambiguator@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571620

DannyS712 updated the task description. (Show Details)Feb 13 2020, 2:46 AM
Pchelolo updated the task description. (Show Details)Feb 13 2020, 3:47 AM
DannyS712 updated the task description. (Show Details)Feb 13 2020, 4:06 AM

Change 571617 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Remove use of Title::quickUserCan

https://gerrit.wikimedia.org/r/571617

DannyS712 triaged this task as Medium priority.Feb 13 2020, 9:08 PM

Change 574138 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Title::userCan and ::quickUserCan

https://gerrit.wikimedia.org/r/574138

Change 574138 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Title::userCan and ::quickUserCan

https://gerrit.wikimedia.org/r/574138

DannyS712 closed this task as Resolved.Feb 22 2020, 2:45 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 22 2020, 2:45 AM